# Class goog.labs.testing.CloseToMatcher

code »

All implemented interfaces:
  `goog.labs.testing.Matcher`

The CloseTo matcher.

## Constructor

goog.labs.testing.CloseToMatcher ( value, range )

Parameters

value: `number`
  The value to compare.
range: `number`
  The range to check within.

Show:Public Protected Private

## Instance Methods

code »describe ( actualValue ) ⇒ `string`

Parameters

actualValue

code »matches ( actualValue ) ⇒ `boolean`

Determines if input value is within a certain range of the expected value.

Parameters

actualValue

## Instance Properties

code »range_ : `number`
code »value_ : `number`